# MeshGetMesh

Gets the internal mesh object

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode PETSCDM_DLLEXPORT MeshGetMesh(Mesh mesh, ALE::Obj<ALE::Mesh>& m)

Not collective

### Input Parameter

mesh -the mesh object

### Output Parameter

m -the internal mesh object

### See Also

MeshCreate(), MeshSetMesh()

Level:advanced
Location:src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex33.c.html